Get form specification

Summary

  • Source repository: jef-systems/jef-accounting-backend

  • Source SHA: eaca6413a00fd211146c504137047c3d327f687b

  • Source run id: 31404676080

  • Module: Accounting

  • Lambda function: jef-accounting-get-form-specification

  • HTTP method: GET

  • Invocation mode: sync

  • Package mode: no-package

  • API category: Accounting Complex Sync No Package GET APIs

  • API path: /accounting/complex-sync-no-packages/jef-accounting-get-form-specification

  • Endpoint URL: https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-form-specification

  • Documentation scope: lambda-complex-sync-no-packages

Synchronous Lambda Complex Rule

This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.

Description

Gets the active specification for one form owned by the entity identified by the supplied jsin.

Payload Example

{
  "jsin": "1513",
  "form_name": "journal_voucher"
}

Payload Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "jsin": {
        "type": "S",
        "required": true,
        "regex": "^[0-9]{4}$"
      },
      "form_name": {
        "type": "S",
        "required": true,
        "regex": "^[a-z][a-z0-9_-]{1,127}$"
      }
    }
  }
}

Response Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "specification": {
        "type": "M",
        "required": false,
        "attributes": {},
        "additional_properties": true
      },
      "error_code": {
        "type": "S",
        "required": false
      },
      "message": {
        "type": "S",
        "required": false
      }
    }
  }
}

CMD curl

curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-form-specification"

PowerShell curl

curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-form-specification"